%define github stubbornella-csslint
%define gitcommit 2a2cac5
%define gitsub 0

Name:           csslint
Version:        0.9.8
Release:        %mkrel 2
Summary:        Detecting potential problems in CSS code

Group:          Development/Other
License:        MIT
URL:            https://github.com/stubbornella/csslint
Source0:        https://github.com/stubbornella/csslint/tarball/v%{version}/%{github}-v%{version}-%{gitsub}-g%{gitcommit}.tar.gz
Source1:        %{name}.sh

BuildArch:      noarch

BuildRequires:	ant
Requires:       rhino


%description
CSSLint is a tool to help point out problems with your CSS code. It does basic
syntax checking as well as applying a set of rules to the code that look for
problematic patterns or signs of inefficiency. The rules are all pluggable, so
you can easily write your own or omit ones you don't want.


%prep
%setup -q -n %{github}-%{gitcommit}
# shell script to launch csslint
cp -p %{SOURCE1} .
# rhino
sed -i -e 's|@JS_JAR@|%{_datadir}/java/js.jar|g' %{name}.sh
sed -i -e 's|@CSSLINT_RHINO@|%{_datadir}/%{name}/%{name}-rhino.js|g' %{name}.sh

%build
%ant

%install
install -d %{buildroot}%{_datadir}/%{name}
install -d %{buildroot}%{_bindir}
cp -a release/csslint-rhino.js %{buildroot}%{_datadir}/%{name}/
cp -a %{name}.sh %{buildroot}%{_bindir}/%{name}
chmod 755 %{buildroot}%{_bindir}/%{name}

%files
%doc CHANGELOG README.md
%{_datadir}/%{name}
%{_bindir}/%{name}


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0.9.8-2.mga3
+ Revision: 348369
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 09 2012 matteo <matteo> 0.9.8-1.mga3
+ Revision: 291028
- imported package csslint

